//Import de PAlib
#include <PA9.h>

// Converti par PAGfxConverter
#include "gfx/all_gfx.c"
#include "gfx/all_gfx.h"

#include "MUSIC_Instructions.h"

#include "main.h"
 
//     --------------------------   ************ PROGRAMME ************   --------------------------
int main(void)
{
	PA_Init();     //Init de PAlib
	PA_InitVBL(); // Init de la VBL
	PA_InitSound();
	
 	bool bfatok = fatInitDefault();    // seule fonction de la libfat directement appelle 
   
   while(1)
   {
	 	if(!bfatok)
	 	{
	 	   while(1)
	 	   {
	 	      PA_InitText(1, 2);
	 	      
	 	      PA_OutputSimpleText(1, 0, 8, "LIB FAT ECHEC : CONTACT MINISHLINK ! TURN OFF YOUR NDS !");
	 	      PA_WaitForVBL();  
	 	   }
		} 
 		else
 		{
 		   credits();
 		}
 		
   	PA_WaitForVBL();
   }
   return 0;
}

void credits(void)
{
	PA_Init2D();

 	bool continuer = 1, soundFini = 0;
 	
 	PA_SplashBlue();
 	
 	PA_PlaySimpleSound(0, MUSIC_Instructions);
	
 	fadeOut(2);
 	PA_LoadTiledBg(0, 3, devsplash2); // ecran, numro d'arrire-plan (0-3), nom d'arrire-plan, utilis dans PAGfx...
	PA_LoadTiledBg(1, 3, devsplash);	
   fadeIn(2);
 			
   while(continuer)
   {
   	if(Stylus.Released)
   	{
   		continuer = 0;
   	} 
   		
		if(PA_SoundChannelIsBusy(0)) { PA_PlaySimpleSound(0, MUSIC_Instructions); }	   
     	PA_WaitForVBL();
   }
   		
   PA_WaitForVBL();  
   		
   PA_Init2D();
   		
   continuer = 1;
   		
   PA_InitText(1, 2);
   		
   fadeOut(2);
	PA_OutputSimpleText(1, 0, 2, "Merci  :");
	PA_OutputSimpleText(1, 0, 3, "- Minishlink (moi)");
	PA_OutputSimpleText(1, 0, 4, "- Naouak");
	PA_OutputSimpleText(1, 0, 5, "- Mollusk");
	PA_OutputSimpleText(1, 0, 6, "- Birslip");
	PA_OutputSimpleText(1, 0, 7, "- Sam101");
	PA_OutputSimpleText(1, 0, 8, "- Forums DEV-FR et PA !");
	
   fadeIn(2);
   		
   while(continuer)
   {
   	if(Stylus.Released)
   	{
   	   PA_StopSound(0);
   	   soundFini = 1;
			menu();
   	}  
		
		if(PA_SoundChannelIsBusy(0) && !soundFini) { PA_PlaySimpleSound(0, MUSIC_Instructions); }	
		PA_WaitForVBL(); 
	}	
	PA_WaitForVBL();  
	
}		
