//Import de PAlib
#include <PA9.h>

#include "MUSIC_Instructions.h"

#include "instructions.h"

void voirInstructionsSimpleClic(void)
{
	PA_Init2D();
 
   PA_InitText(1, 2);
   
   PA_PlaySimpleSound(0, MUSIC_Instructions);
   
   bool clic = 0, soundFini = 0;
         
   fadeOut(2);
   
   PA_LoadTiledBg(1, 3, bg_up_instructions);	
   PA_LoadTiledBg(0, 3, bg_down_instructions);
   
   PA_Init16cBg(1, 2);
   PA_16cText(1, 70, 145, 186, 170, "SIMPLE CLIC", 10, 2, 100);
				
   PA_Init16cBg(0, 2);
   PA_16cText(0, 40, 50, 215, 165, "Vous devez \"cliquer\" sur l'cran le plus possible avant la fin du temps !!! C'est simple et c'est SIMPLE CLIC !", 10, 2, 500);
   
   fadeIn(2);
 
   while(1)
   {
      if(Stylus.Released) { clic = 1; }   
		      
      if(PA_StylusInZone(0, 0, 69, 20) && clic) { clic = 0; PA_StopSound(0); soundFini = 1; menuInstructions(); }	
 		
 		if(PA_SoundChannelIsBusy(0) && !soundFini) { PA_PlaySimpleSound(0, MUSIC_Instructions); }
		PA_WaitForVBL();  	
   } 
	PA_WaitForVBL();  
	
}	

void voirInstructionsMicroClic(void)
{
   PA_Init2D();
 
   PA_InitText(1, 2);
   
   PA_PlaySimpleSound(0, MUSIC_Instructions);
   
   bool clic = 0, soundFini = 0;
         
   fadeOut(2);
   
   PA_LoadTiledBg(1, 3, bg_up_instructions);	
   PA_LoadTiledBg(0, 3, bg_down_instructions);
   
   PA_Init16cBg(1, 2);
   PA_16cText(1, 70, 145, 186, 170, "MICRO CLIC", 10, 2, 100);
   
   PA_Init16cBg(0, 2);
   PA_16cText(0, 40, 50, 215, 165, "Cette fois-ci, vous devez souffler et \"cliquer\" sur l'cran le plus possible avant la fin du temps !!! Attention tout de mme  ne pas tomber dans les pommes, si vous ne vous sentez pas bien, faites une pause. ;)", 10, 2, 500);
   fadeIn(2);
 
   while(1)
   {
      if(Stylus.Released) { clic = 1; }   
		      
      if(PA_StylusInZone(0, 0, 69, 20) && clic) { clic = 0; PA_StopSound(0); soundFini = 1; menuInstructions(); }	
 
 		if(PA_SoundChannelIsBusy(0) && !soundFini) { PA_PlaySimpleSound(0, MUSIC_Instructions); }
		PA_WaitForVBL();  	
   } 	
		
	PA_WaitForVBL();  
}
